---
title: llarp::exit

---

# llarp::exit



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::exit::Context](Classes/structllarp_1_1exit_1_1Context.md)** <br>owner of all the exit endpoints  |
| struct | **[llarp::exit::Endpoint](Classes/structllarp_1_1exit_1_1Endpoint.md)** <br>persistant exit state for 1 identity on the exit node  |
| struct | **[llarp::exit::Policy](Classes/structllarp_1_1exit_1_1Policy.md)**  |
| struct | **[llarp::exit::BaseSession](Classes/structllarp_1_1exit_1_1BaseSession.md)** <br>a persisting exit session with an exit router  |
| struct | **[llarp::exit::ExitSession](Classes/structllarp_1_1exit_1_1ExitSession.md)**  |
| struct | **[llarp::exit::SNodeSession](Classes/structllarp_1_1exit_1_1SNodeSession.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| using std::shared_ptr< [BaseSession](Classes/structllarp_1_1exit_1_1BaseSession.md) > | **[BaseSession_ptr](Namespaces/namespacellarp_1_1exit.md#using-basesession-ptr)**  |
| using std::function< void(BaseSession_ptr)> | **[SessionReadyFunc](Namespaces/namespacellarp_1_1exit.md#using-sessionreadyfunc)**  |

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr auto | **[LifeSpan](Namespaces/namespacellarp_1_1exit.md#variable-lifespan)**  |

## Types Documentation

### using BaseSession_ptr

```cpp
using llarp::exit::BaseSession_ptr = typedef std::shared_ptr<BaseSession>;
```


### using SessionReadyFunc

```cpp
using llarp::exit::SessionReadyFunc = typedef std::function<void(BaseSession_ptr)>;
```




## Attributes Documentation

### variable LifeSpan

```cpp
static constexpr auto LifeSpan = path::default_lifetime;
```





-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000